İçeriğe geç
Twexapi
Türkçe
Esc
gezin⌘Jönizle

Hesap Kayıt Ülkesini Getir

Hesap Kayıt Ülkesini Getir.

API Belgelerine Dön
/Twitter Account Based in Endpoints
POST/twitter/account/based
API Yetkilendirmesi
AuthorizationBearer token · headerzorunlu
TwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/json
Array of string
string
Yanıtlar
200The Twitter Account Based in data.
codeinteger
HTTP durum kodu (200 başarılı anlamına gelir)
default: 200
msgstring
Yanıt mesajı (örn: 'success')
default: "success"
dataTwitterUserAboutResponse[] | any
Uç nokta tarafından döndürülen ana veri
Özellikleri göster
Any of:
TwitterUserAboutResponse[]
Array of TwitterUserAboutResponse
user_idstringzorunlu
Kullanıcının benzersiz Twitter ID'si
avatarstringzorunlu
Profile avatar image URL
namestringzorunlu
Kullanıcının görünen adı
screen_namestringzorunlu
Twitter kullanıcı adı (@ olmadan)
created_atstringzorunlu
Oluşturulma zamanı (UTC)
profile_image_shapestringzorunlu
Profile image shape (e.g., Circle, Square)
verificationbooleanzorunlu
Whether the user account is verified
userLabelDisplayTypestringzorunlu
User label display type (e.g., Badge)
userLabelTypestringzorunlu
User label type (e.g., BusinessLabel)
is_blue_verifiedbooleanzorunlu
Whether the user has blue verification badge (Twitter Blue/X Premium)
privacy_policy_urlstringzorunlu
Privacy policy or learn more URL
account_based_instringzorunlu
Country or region where the account is based
location_accuratebooleanzorunlu
Whether the location information is accurate
affiliate_usernamestringzorunlu
Affiliated username (e.g., business account username)
sourcestringzorunlu
Source of account creation (e.g., 'United States App Store')
username_changes_countintegerzorunlu
Number of times the username has been changed
override_verified_yearintegerzorunlu
Override verified year (if applicable, negative values indicate special cases)
verified_since_msecintegerzorunlu
Timestamp in milliseconds when the account was verified (negative values indicate special cases)
any
any
422Parametre Doğrulama Hatası
detailValidationError[]
Özellikleri göster
Array of ValidationError
locstring | integer[]zorunlu
Özellikleri göster
Array of string | integer
Any of:
string
string
integer
integer
msgstringzorunlu
Yanıt mesajı (örn: 'success')
typestringzorunlu
inputany
ctxobject
Etkileşimli KonsolPOST
Etkileşimli Konsol / API TestiPOST
Live Console
🌐Hedef Sunucu:https://api.twexapi.io
● Canlı Ortam Hazır
🔍
Genel Veri Okuma (Yalnızca TwexAPI Anahtarı, Twitter Çerezi Gerekmez)

Bu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.

🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

İstek
curl -X POST "https://api.twexapi.io/twitter/account/based" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  "screen_name",
  "elonmusk"
]'
Yanıt
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "user_id": "44196397",
      "avatar": "https://pbs.twimg.com/profile_images/1983681414370619392/oTT3nm5Z_normal.jpg",
      "name": "Elon Musk",
      "screen_name": "elonmusk",
      "created_at": "Tue Jun 02 20:12:29 +0000 2009",
      "profile_image_shape": "Circle",
      "verification": false,
      "userLabelDisplayType": "Badge",
      "userLabelType": "BusinessLabel",
      "is_blue_verified": true,
      "privacy_policy_url": "https://help.twitter.com/managing-your-account/about-twitter-verified-accounts",
      "account_based_in": "United States",
      "location_accurate": true,
      "affiliate_username": "X",
      "source": "United States App Store",
      "username_changes_count": 0,
      "override_verified_year": -3000,
      "verified_since_msec": -156836000000000
    }
  ]
}